Class DataModelListView.EntityNameUrlQueryParametersBinder
java.lang.Object
io.jmix.flowui.facet.urlqueryparameters.AbstractUrlQueryParametersBinder
io.jmix.datatoolsflowui.view.datamodel.DataModelListView.EntityNameUrlQueryParametersBinder
- All Implemented Interfaces:
UrlQueryParametersFacet.Binder
- Enclosing class:
- DataModelListView
protected class DataModelListView.EntityNameUrlQueryParametersBinder
extends AbstractUrlQueryParametersBinder
-
Field Summary
Fields inherited from class io.jmix.flowui.facet.urlqueryparameters.AbstractUrlQueryParametersBinder
id -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncom.vaadin.flow.component.ComponentReturns the component associated with this binder.protected voidonFilter(com.vaadin.flow.component.AbstractField.ComponentValueChangeEvent<?, ?> event) voidupdateState(com.vaadin.flow.router.QueryParameters queryParameters) Informs query parameters binder that view query parameters has been changed.Methods inherited from class io.jmix.flowui.facet.urlqueryparameters.AbstractUrlQueryParametersBinder
addUrlQueryParametersChangeListener, fireQueryParametersChanged, getEventBus, getId, getOwnerId, setId
-
Constructor Details
-
EntityNameUrlQueryParametersBinder
public EntityNameUrlQueryParametersBinder()
-
-
Method Details
-
updateState
public void updateState(com.vaadin.flow.router.QueryParameters queryParameters) Description copied from interface:UrlQueryParametersFacet.BinderInforms query parameters binder that view query parameters has been changed.- Parameters:
queryParameters- a view query parameters
-
getComponent
public com.vaadin.flow.component.Component getComponent()Description copied from class:AbstractUrlQueryParametersBinderReturns the component associated with this binder.- Specified by:
getComponentin classAbstractUrlQueryParametersBinder- Returns:
- the component instance if available, or
nullif no component is associated
-
onFilter
protected void onFilter(com.vaadin.flow.component.AbstractField.ComponentValueChangeEvent<?, ?> event)
-